# Class CGO

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.MeshCollection
org.jmol.shapecgo.CGO

public class CGO extends MeshCollection
PyMOL Compiled Graphic Object (CGO) meshes

## Field Summary

### Fields inherited from class MeshCollection

`bsDisplay, colix, color, connections, currentMesh, displayWithinDistance2, displayWithinPoints, explicitID, htObjects, isDisplayWithinNot, isFixed, jvxlData, linkedMesh, meshCount, meshes, modelIndex, nUnnamed, pickedMesh, pickedModel, pickedPt, pickedVertex, PREVIOUS_MESH_ID, previousMeshID, title`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`CGO()`

## Method Summary

Modifier and Type
Method
Description
`void`
`allocMesh(String thisID, Mesh m)`
`protected void`
`clean()`
`protected void`
`deleteModels(int modelIndex)`
`Object`
`getProperty(String property, int index)`
`boolean`
`getPropertyData(String property, Object[] data)`
`Object`
`getShapeDetail()`
`String`
`getShapeState()`
`void`
`setModelVisibilityFlags(BS bsModels)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class MeshCollection

`checkExplicit, deleteMeshI, deleteMeshKey, getIndexFromName, getMesh, getMeshList, getPickedPoint, getPropDataMC, getPropMC, getValues, getVertices, initShape, merge, resetObjects, setMeshColor, setPropMC, setStatusPicked, setTitle, setTokenProperty`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getPropShape, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CGO

public CGO()

## Method Details

### allocMesh

public void allocMesh(String thisID, Mesh m)

Overrides:
  `allocMesh` in class `MeshCollection`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### deleteModels

protected void deleteModels(int modelIndex)

### getProperty

public Object getProperty(String property, int index)

Overrides:
  `getProperty` in class `Shape`
Parameters:
  `property` -
  `index` -
Returns:
  true if serviced

### getPropertyData

public boolean getPropertyData(String property, Object[] data)

Overrides:
  `getPropertyData` in class `Shape`
Parameters:
  `property` -
  `data` -
Returns:
  true if serviced

### clean

protected void clean()

Overrides:
  `clean` in class `MeshCollection`

### getShapeDetail

public Object getShapeDetail()

Overrides:
  `getShapeDetail` in class `Shape`

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bsModels)

Overrides:
  `setModelVisibilityFlags` in class `MeshCollection`
Parameters:
  `bsModels` -